Subject: [alpine-aports] [PATCH] testing/cassandra-cpp-driver: new aport

From: Gennady Feldman <[email-masked]>
Date: Tue, 9 Aug 2016 14:07:40 -0400

Adding cassandra-cpp-driver 2.4.2
---
 testing/cassandra-cpp-driver/APKBUILD | 34 ++++++++++++++++++++++++++++++
++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/cassandra-cpp-driver/APKBUILD

diff --git a/testing/cassandra-cpp-driver/APKBUILD b/testing/cassandra-cpp-
driver/APKBUILD
new file mode 100644
index 0000000..5752dea
--- /dev/null
+++ b/testing/cassandra-cpp-driver/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Gennady Feldman <[email-masked]>
+# Maintainer: Gennady Feldman <[email-masked]>
+pkgname=cassandra-cpp-driver
+_pkgreal=cpp-driver
+pkgver=2.4.2
+pkgrel=0
+pkgdesc="Cassandra CPP Driver"
+url="http://datastax.github.io/cpp-driver/"
+arch="all"
+license="ASL 2.0"
+depends=
+makedepends="cmake make openssl-dev libuv-dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://github.com/datastax/cpp-driver/archive/$pkgver.zip"
+
+_builddir="$srcdir"/$_pkgreal-$pkgver
+
+build() {
+   cd "$_builddir"
+   mkdir build
+   cd build
+   cmake -DCMAKE_BUILD_TYPE=RELEASE -DCASS_BUILD_STATIC=ON
-DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR=lib .. || return 1
+   make || return 1
+}
+
+package() {
+   cd "$_builddir"/build
+   make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a9f652e99f96d6fe899e7d49f5c2077d  2.4.2.zip"
+sha256sums="0ce1c33abe5a74ea87efe99cc1c50c93e76d4ccbfb615685c960a7c5dbe8e4c0
2.4.2.zip"
+sha512sums="10a542bb12af2812cab54d48225ef208ca0a824e6f775b54b076c114fc84
697ca134c49637b5c21b828ed50b94cc9012960af8717178c0a0fa763c2d860b31e3
2.4.2.zip"
-- 
2.9.2